ALFSUM(1)

NAME
alfsum - calculate ALF checksums

SYNOPSIS

alfsum file [file ...] | [--help | -h] | [--version | -V]

DESCRIPTION

alfsum calculates the checksums used by the ALF compression utility on the Atari 8-bit platform.

To read from standard input, use - as a filename.

Output lines have a tab separating the checksum and filename, for ease of scripting (e.g. with cut(1) or awk(1)).

alfsum's primary use is to check files extracted from ALF archives against the checksums stored in the archive. The unalf program already does this, but alfsum is a separate (much simpler) program. It serves as a second opinion, in case you suspect a bug in unalf.

OPTIONS

-h, --help
    Show built-in help message.

-V, --version
    Show alfsum version number and exit.

NOTES

The checksum algorithm is very simple: all the bytes in the file are added together, and the low 16 bits of the result are the checksum.

EXIT STATUS

0   Success.

1 to 254
    File I/O error count. If there are more than 254 I/O errors, 254 is returned.

255 Error in command-line arguments: no filenames given.

COPYRIGHT

alfsum is released under the WTPFL: Do WTF you want with this.

AUTHORS

B.  Watson <urchlay@slackware.uk>

SEE ALSO

alf(1), unalf(1)

The git repository for alftools: https://slackware.uk/~urchlay/repos/alftools

Other Atari-related projects by the author, including bw-atari8-tools and unmac65: https://slackware.uk/~urchlay/repos/